Bug 1417470 - [abrt] gourmet: interactive_importer.py:227:label_selection:UnboundLocalError: local variable 'cur_pos' referenced before assignment
Summary: [abrt] gourmet: interactive_importer.py:227:label_selection:UnboundLocalError...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gourmet
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:62399b9f6eb28bb0beac7d556fe...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-29 16:49 UTC by David Conarton II
Modified: 2017-12-12 10:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:37:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (735 bytes, text/plain)
2017-01-29 16:50 UTC, David Conarton II
no flags Details
File: environ (1.27 KB, text/plain)
2017-01-29 16:50 UTC, David Conarton II
no flags Details

Description David Conarton II 2017-01-29 16:49:59 UTC
Description of problem:
imported recipe from file, scrolling through finding ingredients vs instructions.  clicked on the begining of the instructions and pressed the instruction button.

Version-Release number of selected component:
gourmet-0.17.4-8.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python /usr/bin/gourmet
executable:     /usr/bin/gourmet
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
interactive_importer.py:227:label_selection:UnboundLocalError: local variable 'cur_pos' referenced before assignment

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gourmet/importers/interactive_importer.py", line 217, in label_callback
    self.label_selection(label)
  File "/usr/lib/python2.7/site-packages/gourmet/importers/interactive_importer.py", line 227, in label_selection
    cur_pos=gtk.TextBuffer.get_iter_at_mark(cur_pos)
UnboundLocalError: local variable 'cur_pos' referenced before assignment

Local variables in innermost frame:
cursel: ()
self: <PlainTextImporter(importer, initial)>
cur_mark: <gtk.TextMark object at 0x7f23d7feed20 (GtkTextMark at 0x560162ef9800)>
label: 'Instructions'

Comment 1 David Conarton II 2017-01-29 16:50:04 UTC
Created attachment 1245610 [details]
File: backtrace

Comment 2 David Conarton II 2017-01-29 16:50:05 UTC
Created attachment 1245611 [details]
File: environ

Comment 3 Fedora End Of Life 2017-11-16 14:43:29 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:37:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.